ur_rna.StructureEditor.models

## Enum Bond.MultiLoopRole

- java.lang.Object
- - java.lang.Enum<Bond.MultiLoopRole>
  - - ur_rna.StructureEditor.models.Bond.MultiLoopRole

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Bond.MultiLoopRole>
  Enclosing class:
    Bond

      public static enum Bond.MultiLoopRole
      extends java.lang.Enum<Bond.MultiLoopRole>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Entrance` This bond is the "entrance" to a multi-branch loop.
    `Exit` This bond is one of the "exits" out of a multi-branch loop.
    `None` This bond is an internal one.
    `Unknown` The role of this bond could not be determined with the provided information.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Bond.MultiLoopRole` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Bond.MultiLoopRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Entrance

          public static final Bond.MultiLoopRole Entrance

      This bond is the "entrance" to a multi-branch loop. I.e. it is the last bond of the "Trunk" Helix.

    - #### Exit

          public static final Bond.MultiLoopRole Exit

      This bond is one of the "exits" out of a multi-branch loop. I.e. it is the first bond of a "Limb" Helix.

    - #### None

          public static final Bond.MultiLoopRole None

      This bond is an internal one. It is not part of any Multi-Branch, Internal or Hairpin Loop

    - #### Unknown

          public static final Bond.MultiLoopRole Unknown

      The role of this bond could not be determined with the provided information.

  - ### Method Detail

    - #### valueOf

          public static Bond.MultiLoopRole valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Bond.MultiLoopRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Bond.MultiLoopRole c : Bond.MultiLoopRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared